<!-- <app-table [columns]="tableData.tableColumns" [tableData]="storeInfo" tableName="Bicicletas"
    [tableDataSearch]="storeInfoSearch" [filterInclude]="tableData.filterInclude" emitTableEvents="true"
    (create)="create()" (delete)="delete($event)">
</app-table> -->
<div class="all-in-one-table">
  <elastic-page-header [height]="'137px'" background="url(assets/img/demo/headers/pattern-3.png)" [reverse]="true">
  </elastic-page-header>
  <div class="container">
    <elastic-breadcrumbs [currentPage]="title" [header]="'primary'"></elastic-breadcrumbs>
  </div>
</div>
<div class="actions" fxFlexAlign="center">
  <mat-label class="paddingSearch">Bicicletas</mat-label>
  <mat-accordion class="accordion">
    <mat-expansion-panel>
      <mat-expansion-panel-header>
        <mat-panel-title style="color:#d2d2d2">
          Buscar bicicleta por Imei, Qr numero y estación
        </mat-panel-title>
      </mat-expansion-panel-header>
      <mat-form-field class="accordion-input" appearance="fill">
        <mat-label>Numero de imei, numero de bicicleta o Qr</mat-label>
        <input matInput type="text" [(ngModel)]="imeiOqr">
      </mat-form-field>
      <mat-form-field class="example-full-width select">
        <mat-label>Estacion</mat-label>
        <select matNativeControl [(ngModel)]="selectStation">
          <option value="" selected disabled>Elija una estacion</option>
          <option *ngFor="let item of stationsBikes" value="{{ item.id }}">
            {{ item.name }}
          </option>
        </select>
      </mat-form-field>
      <button class='btn-accordion' (click)="search()">Buscar</button>

      <div class="textResults" *ngIf="totalBikes!=0">
        <mat-icon>check_circle_outline</mat-icon>
        <mat-label *ngIf="totalBikes==1" class="results">Se encontro {{totalBikes}} resultado</mat-label>
        <mat-label *ngIf="totalBikes>1" class="results">Se encontraron {{totalBikes}} resultados</mat-label>
      </div>
      <div class="textResults" *ngIf="totalBikes==0">
        <mat-icon>remove_circle_outline</mat-icon>
        <mat-label class="results">No se encontro ningun resultado de busqueda</mat-label>
      </div>

    </mat-expansion-panel>
  </mat-accordion>
  <div class="buttons">
    <div>
      <button class="btn-showAll" type="button" color="primary" (click)="viewAll()" >
        Mostrar todos
      </button>
    </div>
    <button class="create" (click)="openModal('add')" type="button" mat-mini-fab color="primary">
      <mat-icon class="btnAdd" >add</mat-icon>
    </button>
  </div>
</div>

<elastic-data-table [columns]="bikeColumns" [dataPage]="currentPageBike" [loading]="loading" [totalRecords]="totalBikes"
  [pageSize]="bikePageSize" (rowAction)="tableAction($event)" (changePage)="changePage($event)">
</elastic-data-table>
